
QGIS Application - Bug report #19868

copy/paste style doesn't works

2018-09-17 02:37 PM - Loïc BARTOLETTI

Status: Closed

Priority: Normal

Assignee: Denis Rouzaud

Category: GUI

Affected QGIS version:3.3(master) Regression?: Yes

Operating System: FreeBSD, Windows Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27692

Description

Since https://github.com/qgis/QGIS/pull/7863 copy/paste style doesn't works.

Tested with "All style" or a category selected

Related issues:

Duplicates QGIS Application - Bug report # 19860: Unable to copy paste style ... Closed 2018-09-17

Duplicated by QGIS Application - Bug report # 20175: master - Copy style and ... Closed 2018-10-22

Duplicated by QGIS Application - Bug report # 20178: Not possible to paste a ... Closed 2018-10-22

Associated revisions

Revision 0296c272 - 2018-09-17 05:44 PM - Denis Rouzaud

[fix #19868] fix paste style

Revision daf53940 - 2018-10-23 03:02 PM - Denis Rouzaud

fix Qt issue QVariant::value using enum (#8265)

    -  fix Qt issue QVariant::value using enum

see https://bugreports.qt.io/browse/QTBUG-53384

fix #19868

History

#1 - 2018-09-17 02:40 PM - Loïc BARTOLETTI

- Assignee set to Denis Rouzaud

#2 - 2018-09-17 05:43 PM - Denis Rouzaud

- Status changed from Open to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|0296c272de7f449e6d0e6a3dd46af3909a428311.

#3 - 2018-09-17 07:17 PM - Harrissou Santanna

- Duplicates Bug report #19860: Unable to copy paste style from a layer to another one added
#4 - 2018-10-12 04:07 PM - Regis Haubourg

- Status changed from Closed to Open

Hi Denis, 

I test on ubuntu 16.04 with 46938c0 and whatever datasource I use, copying style (all or sub section) does not work at all.

Paste section remains grayed out, and pasting in a text editor gives:

<!DOCTYPE qgis PUBLIC 'http://mrcc.com/qgis.dtd' 'SYSTEM'>

<qgis version="3.3.0-Master" styleCategories="">

 <layerGeometryType>2</layerGeometryType>

</qgis>

On windows, with revision 68f4cf2d0f it works well.

Any idea ?

#5 - 2018-10-12 04:36 PM - Denis Rouzaud

can you check for Qt warnings if you have anything related to metaenum in the log? (not sure if you need to compile using debug mode)

#6 - 2018-10-18 10:18 AM - Regis Haubourg

Hi,

I am using nighlty builds for ubuntu / ubuntuGIS. 

It seems to be built with debug options yes.

Grepping stdout, I have a lot of 

QgsDebugMsg( "Invalid metaenum. Enum probably misses Q_ENUM or Q_FLAG declaration." );

errors when loading QGIS, but no message at all when doing the right-click action to copy a style section.

I also see some

.cache/deja-dup/e4abab5309d926dbe451d8e86ee2db80/duplicity-inc.20180920T152616Z.to.20181009T191904Z.manifest:    changed 

home/regis/APPS/QGIS3/cpp/QGIS/build-master/output/python/qgis/core/additions/metaenum.py

grep: .cache/dconf: Permission non accordée

I fail to understand if how this is related to QGIS. My .cache/dconf dir is :

drwx------  2 root  root      4096 févr. 24  2018 dconf/

Do I have a local issue?
#7 - 2018-10-18 02:00 PM - Regis Haubourg

- File qgislog added

my full log attached

#8 - 2018-10-22 03:35 PM - Denis Rouzaud

- Status changed from Open to Feedback

as already discussed, there is no line about missing metaenum here.

can you provide more details?

#9 - 2018-10-22 03:54 PM - Alessandro Sarretta

As described in #20178 I have the same issue.

Not sure it is related or it can be useful, but I copy here the message in the log messages Qt window, inside QGIS:

2018-10-22T15:48:57     WARNING    �[31mvoid DBusMenuExporterPrivate::addAction(QAction*, int)�[0m: Already tracking action "Search

QMS" under id 288

2018-10-22T15:49:05     WARNING    Duplicate shortcut registered: About

2018-10-22T15:49:05     WARNING    �[31mQVariantMap DBusMenuExporterDBus::getProperties(int, const QStringList&) const�[0m: Condition

failed: action

...

...

...

2018-10-22T15:49:05     WARNING    �[31mQVariantMap DBusMenuExporterDBus::getProperties(int, const QStringList&) const�[0m: Condition

failed: action

How can I help you with more details?

#10 - 2018-10-22 04:02 PM - Denis Rouzaud

if you have any line with metaenum written in it it'd be interesting. Feel free to post the whole ouptput on pastebin and I can look.

Thanks

#11 - 2018-10-22 04:55 PM - Denis Rouzaud

no issue on Fedora.

It might be a Qt issue. 

QMetaEnum::fromType is from Qt 5.5.

What is your Qt version?

#12 - 2018-10-22 05:11 PM - Denis Rouzaud

2024-04-20 3/4



found the upstream bug 

https://bugreports.qt.io/browse/QTBUG-53384

this affects 5.6.0, fixed in 5.6.2....and Ubuntu 16.04 is 5.5

will try to fix this

#13 - 2018-10-22 05:26 PM - Denis Rouzaud

PR https://github.com/qgis/QGIS/pull/8265

I will merge asap

#14 - 2018-10-23 11:58 AM - Regis Haubourg

- Duplicated by Bug report #20175: master - Copy style and paste style does not work added

#15 - 2018-10-23 12:19 PM - Regis Haubourg

- Pull Request or Patch supplied changed from No to Yes

PR tested, it works here. Many thanks Denis!

#16 - 2018-10-23 03:02 PM - Denis Rouzaud

- Status changed from Feedback to Closed

Applied in changeset commit:qgis|daf53940421de07a5daf7e419cfbf06826ad2469.

#17 - 2018-10-23 03:19 PM - Denis Rouzaud

patch has been merged, please test with next daily build and report if everything is ok!

#18 - 2018-10-23 06:38 PM - Jürgen Fischer

- Duplicated by Bug report #20178: Not possible to paste a style because all "Paste Style" options are grayed added

Files

qgislog 62.9 KB 2018-10-18 Regis Haubourg
